import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData){
  return request.post(constant.serverUrl + "/merchant/withdrawalRecord/pageList", formData);
}

function create(){
  return request.get(constant.serverUrl + "/merchant/withdrawalRecord/create");
}

function edit(id){
  return request.get(constant.serverUrl + "/merchant/withdrawalRecord/edit/" + id);
}

function add(formModel){
  return request.post(constant.serverUrl + "/merchant/withdrawalRecord/add", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel){  
  return request.post(constant.serverUrl + "/merchant/withdrawalRecord/update", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id){
  return request.post(constant.serverUrl + "/merchant/withdrawalRecord/delete/" + id);
}

function batchRemove(idList){
  return request.post(constant.serverUrl + "/merchant/withdrawalRecord/batchDelete",idList,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function approval(formData){
  return request.post(constant.serverUrl + "/merchant/withdrawalRecord/approval", formData);
}

export default {
  pageList,create,edit,add,update,remove,batchRemove,approval
}